%Example program to customize Plotting
c=[2 10.1 0 6]; % Polynomial define
x = [-5.5:0.1:1]; 
f = polyval(c,x);
plot(x,f,"linewidth", 5, "color", 'r');
set(gca, "xlim", [-5.5 1]) % xlim-xaxis limits
set(gca, "linewidth", 2)  % linewidth of axis
set(gca, "fontsize", 25)  
set(gca, "xlabel", text("string", "x", "fontsize", 25))
set(gca, "ylabel", text("string", "f(x)", "fontsize", 25))
line([-5.16 -4], [-2 -20], "linewidth", 2) % To Add line
text(-3.9, -23, "root", "fontsize", 20); % To Add Text
line([0 0], [5 -20], "linewidth", 2) % To Add line
text(-1.0, -22, "local minimum", "fontsize", 20) % To Add Text
title("Customizing Plot", "fontsize", 25);